Index: trunk/SophyaPI/PI/Makefile
===================================================================
--- trunk/SophyaPI/PI/Makefile	(revision 558)
+++ trunk/SophyaPI/PI/Makefile	(revision 559)
@@ -17,21 +17,21 @@
 endif 
  
-$(OBJ)lut.o: lut.cc /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h lut.h
+$(OBJ)lut.o: lut.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h lut.h
 $(OBJ)parradapter.o: parradapter.cc parradapter.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h lut.h
-$(OBJ)pi3ddrw.o: pi3ddrw.cc pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h \
- pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
- picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
- picons.h
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h lut.h
+$(OBJ)pi3ddrw.o: pi3ddrw.cc pi3ddrw.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pidrawer.h pibwdggen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraph3d.h pibwdgx.h pigraphps.h pidrwtools.h pistdwdgx.h \
+ pistdwdggen.h pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h \
+ piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piapplx.h \
+ piapplgen.h pimenubarx.h pimenubargen.h picons.h
 $(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h pisysdep.h picontainerx.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
  pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
@@ -39,65 +39,69 @@
  pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h pisysdep.h picontainerx.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
  pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
  pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
-$(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h piwdgx.h piwdggen.h \
- pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pidrawer.h pigraphps.h \
- pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
- picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
- picons.h pibwdgx.h
-$(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h pixtbase.h
-$(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h picmapx.h picmapgen.h
-$(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h picmapx.h picmap.h
-$(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h
-$(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h picmapx.h picmapgen.h pisysdep.h
-$(OBJ)picons.o: picons.cc pisysdep.h pimenux.h pimenugen.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picons.h \
- pistdwdgx.h pistdwdggen.h picontainerx.h picontainergen.h pibwdgx.h \
- pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pidrawer.h \
+ pigraphps.h pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h \
+ pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
+ picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
+ pimenubargen.h picons.h pibwdgx.h
+$(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pibwdggen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ pixtbase.h
+$(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h picmapx.h picmapgen.h
+$(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h picmapx.h picmap.h
+$(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h picmapx.h picmapgen.h \
+ pisysdep.h
+$(OBJ)picons.o: picons.cc pisysdep.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h pimenux.h \
+ pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picons.h pistdwdgx.h \
+ pistdwdggen.h picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
- piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)picontainerx.o: picontainerx.cc picontainerx.h pisysdep.h \
- picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h
-$(OBJ)pidrawer.o: pidrawer.cc pidrawer.h pibwdggen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h picontainergen.h piwdgx.h piwdggen.h \
+ pimsghandler.h
+$(OBJ)pidrawer.o: pidrawer.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h pidrawer.h \
+ pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
  pigraphuc.h pievthandler.h psfile.h
-$(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
- pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h \
- piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h \
- pidrawer.h
-$(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h pistdwdgx.h \
- pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h pioptmenux.h pioptmenugen.h pimenux.h \
+$(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwindowx.h piwindowgen.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h pimsghandler.h piscdrawwdg.h \
+ pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h pidrawer.h
+$(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pistdwdgx.h pistdwdggen.h piwdgx.h \
+ piwdggen.h pimsghandler.h pioptmenux.h pioptmenugen.h pimenux.h \
  pimenugen.h piwindowx.h piwindowgen.h picontainerx.h picontainergen.h \
  piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h pibwdgx.h \
@@ -106,51 +110,51 @@
  piscdrawwdg.h pidrawer.h pi3ddrw.h pigraph3d.h
 $(OBJ)pievthandler.o: pievthandler.cc pievthandler.h pisysdep.h \
- pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h piwdgx.h \
- piwdggen.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
- pifontx.h pifontgen.h
-$(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h
-$(OBJ)pifilechox.o: pifilechox.cc pisysdep.h piapplx.h piapplgen.h \
- pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h \
- picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimenubarx.h \
- pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
- pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h piwdgx.h piwdggen.h \
+ pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h
+$(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h
+$(OBJ)pifilechox.o: pifilechox.cc pisysdep.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h piapplx.h \
+ piapplgen.h pimsghandler.h picontainerx.h picontainergen.h piwdgx.h \
+ piwdggen.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
+ pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h pifilechox.h pifilechogen.h \
  piwindowx.h piwindowgen.h
-$(OBJ)pifontgen.o: pifontgen.cc pigraphgen.h pisysdep.h piwdgx.h piwdggen.h \
- pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pifontx.h pifontgen.h
-$(OBJ)pifontx.o: pifontx.cc pisysdep.h pifontx.h pifontgen.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h
-$(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h pigraphuc.h \
- pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pifontx.h \
+$(OBJ)pifontgen.o: pifontgen.cc pigraphgen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h \
+ picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pifontx.o: pifontx.cc pisysdep.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h pifontx.h \
+ pifontgen.h piwdgx.h piwdggen.h pimsghandler.h
+$(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pigraphuc.h pigraphgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h \
  pifontgen.h
-$(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pifontx.h pifontgen.h
-$(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pifontx.h pifontgen.h psfile.h
-$(OBJ)pigraphuc.o: pigraphuc.cc pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pifontx.h pifontgen.h
-$(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h \
+ picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pigraphgen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h \
+ psfile.h
+$(OBJ)pigraphuc.o: pigraphuc.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pigraphgen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h lut.h pisysdep.h pidrawer.h pibwdggen.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h lut.h pisysdep.h pidrawer.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
@@ -161,8 +165,8 @@
  piapplgen.h pimenubarx.h pimenubargen.h picons.h pidrwtools.h \
  piscdrawwdg.h
-$(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h pistdwdgx.h \
- pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h pioptmenux.h pioptmenugen.h pimenux.h \
+$(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pistdwdgx.h pistdwdggen.h piwdgx.h \
+ piwdggen.h pimsghandler.h pioptmenux.h pioptmenugen.h pimenux.h \
  pimenugen.h piwindowx.h piwindowgen.h picontainerx.h picontainergen.h \
  piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h pibwdgx.h \
@@ -171,117 +175,116 @@
  piimage.h parradapter.h lut.h pidrawer.h pipixmapx.h pipixmapgen.h \
  picmapview.h
-$(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h piwdgx.h piwdggen.h \
- pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h
-$(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h \
+$(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h
+$(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h \
  picontainerx.h picontainergen.h
-$(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h piapplx.h piapplgen.h picontainerx.h \
- picontainergen.h pimenubarx.h picons.h pistdwdgx.h pistdwdggen.h \
+$(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h piapplx.h piapplgen.h picontainerx.h picontainergen.h \
+ pimenubarx.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h piapplx.h piapplgen.h picontainerx.h picontainergen.h \
+ picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h
+$(OBJ)pimenux.o: pimenux.cc pisysdep.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ pimenubarx.h pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h
+$(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h
+$(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h
+$(OBJ)pioptmenux.o: pioptmenux.cc pisysdep.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h pistdwdgx.h pistdwdggen.h piapplx.h piapplgen.h \
+ picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h picons.h \
  pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
  pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
  psfile.h pigraphps.h
-$(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
- pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h piapplx.h piapplgen.h picontainerx.h \
- picontainergen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
- pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
-$(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h piwdgx.h piwdggen.h \
- pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h
-$(OBJ)pimenux.o: pimenux.cc pisysdep.h pimenubarx.h pimenubargen.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h
-$(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h
-$(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h
-$(OBJ)pioptmenux.o: pioptmenux.cc pisysdep.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h pistdwdgx.h pistdwdggen.h piapplx.h \
- piapplgen.h picontainerx.h picontainergen.h pimenubarx.h \
- pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h
-$(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h piperiodx.h \
- /home/ansari/Include/periodic.h
-$(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h
+$(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h piperiodx.h \
+ $(INC)periodic.h
+$(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
- pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h
-$(OBJ)piscdrawwdg.o: piscdrawwdg.cc piscdrawwdg.h pisysdep.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h pidrawer.h pidrwtools.h \
- pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piapplx.h \
- piapplgen.h pimenubarx.h pimenubargen.h picons.h parradapter.h lut.h
-$(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h piwdgx.h \
- piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h
-$(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h pistdwdgx.h pistdwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h
-$(OBJ)pistzwin.o: pistzwin.cc pistzwin.h pisysdep.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
- pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h \
- piperiodx.h /home/ansari/Include/periodic.h psfile.h pigraphgen.h \
- picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)piscdrawwdg.o: piscdrawwdg.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ piscdrawwdg.h pisysdep.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
+ picontainergen.h pidrawer.h pidrwtools.h pioptmenux.h pioptmenugen.h \
+ pimenux.h pimenugen.h piapplx.h piapplgen.h pimenubarx.h \
+ pimenubargen.h picons.h parradapter.h lut.h
+$(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h pimsghandler.h
+$(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ pistdwdgx.h pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ picontainerx.h picontainergen.h
+$(OBJ)pistzwin.o: pistzwin.cc pistzwin.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h piwindowx.h piwindowgen.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h pimsghandler.h piperiodx.h \
+ $(INC)periodic.h psfile.h pifontgen.h pigraphgen.h \
+ picmap.h picmapx.h picmapgen.h pifontx.h
 $(OBJ)pisurfdr.o: pisurfdr.cc pisurfdr.h parradapter.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h lut.h pi3ddrw.h pisysdep.h pidrawer.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h lut.h pi3ddrw.h pisysdep.h pidrawer.h \
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h
-$(OBJ)piwdggen.o: piwdggen.cc piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h picontainergen.h pisysdep.h piwdgx.h \
- pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
- pifontx.h pifontgen.h psfile.h
-$(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h picontainerx.h pisysdep.h \
+$(OBJ)piwdggen.o: piwdggen.cc piwdggen.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ pimsghandler.h picontainergen.h pisysdep.h piwdgx.h pievthandler.h \
+ pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h psfile.h
+$(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h picontainerx.h pisysdep.h \
  picontainergen.h pievthandler.h pigraphx.h pigraphgen.h picmap.h \
  picmapx.h picmapgen.h pifontx.h pifontgen.h
-$(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h picontainerx.h \
- picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h psfile.h pigraphgen.h picmap.h picmapx.h \
- picmapgen.h pifontx.h pifontgen.h
+$(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h picontainerx.h picontainergen.h piwdgx.h \
+ piwdggen.h pimsghandler.h psfile.h pifontgen.h pigraphgen.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
- picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
- /home/ansari/Include/machdefs.h /home/ansari/Include/machine.h \
- /home/ansari/Include/defs.h
-$(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h pixtbase.h
-$(OBJ)psfile.o: psfile.cc psfile.h /home/ansari/Include/machdefs.h \
- /home/ansari/Include/machine.h /home/ansari/Include/defs.h pisysdep.h \
- pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pifontx.h pifontgen.h
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h picontainerx.h picontainergen.h piwdgx.h \
+ piwdggen.h pimsghandler.h
+$(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h pibwdggen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ pixtbase.h
+$(OBJ)psfile.o: psfile.cc psfile.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h pisysdep.h \
+ pifontgen.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h
